%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          wildfly-common
Version:       1.1.0
Release:       4%{?dist}
Summary:       WildFly common utilities project
License:       ASL 2.0
URL:           http://wildfly.org/
Source0:       https://github.com/wildfly/wildfly-common/archive/%{namedversion}.tar.gz

BuildRequires: graphviz
BuildRequires: maven-local
BuildRequires: mvn(com.intellij:annotations)
BuildRequires: mvn(jdepend:jdepend)
# jboss-parent:16
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.apiviz:apiviz)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
# jboss-logging-{annotations,processor}:1.2.0.Final
BuildRequires: mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor)

BuildArch:     noarch

%description
The WildFly Common project is a repository of shared utilities
which do not have a more specific categorization.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

# Build fails
# [ERROR] An error has occurred in JavaDocs report generation
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-javadoc-plugin' ]/pom:configuration" '
<sourceFileExcludes>
  <exclude>**/CommonMessages_*.java</exclude>
  <exclude>**/Log_*.java</exclude>
</sourceFileExcludes>'

%mvn_file org.wildfly.common:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr 28 2016 gil cattaneo <puntogil@libero.it> 1.1.0-2
- review fixes

* Sun Mar 20 2016 gil cattaneo <puntogil@libero.it> 1.1.0-1
- initial rpm
